# H4507_MsgCentreId Class Reference

`#include <h4507.h>`

List of all members.

## Public Types

enum | Choices { e_integer, e_partyNumber, e_numericString }

## Public Member Functions

| H4507_MsgCentreId (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H4501_EndpointAddress & ()
| operator const H4501_EndpointAddress & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H4507_MsgCentreId::Choices

Enumerator:

  e_integer |
  e_partyNumber |
  e_numericString |

## Constructor & Destructor Documentation

H4507_MsgCentreId::H4507_MsgCentreId | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H4507_MsgCentreId::operator H4501_EndpointAddress & | ( |  | ) |

H4507_MsgCentreId::operator const H4501_EndpointAddress & | ( |  | ) | const

PBoolean H4507_MsgCentreId::CreateObject | ( |  | ) |

PObject* H4507_MsgCentreId::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4507.h